## stress-ng 0.09.20

=== Makefile ===
#
# Copyright (C) 2013-2018 Canonical, Ltd.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

VERSION=0.09.20
#
# Codename "portable pressure producer"
#

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99

#
# Pedantic flags
#
ifeq ($(PEDANTIC),1)
CFLAGS += -Wabi -Wcast-qual -Wfloat-equal -Wmissing-declarations \
	-Wmissing-format-attribute -Wno-long-long -Wpacked \
	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
endif

#
# Static flags, only to be used when using GCC
#
ifeq ($(STATIC),1)
LDFLAGS += -static
CFLAGS += -DBUILD_STATIC
endif

BINDIR=/usr/bin
MANDIR=/usr/share/man/man1
JOBDIR=/usr/share/stress-ng/example-jobs

#
#  Stressors
#
STRESS_SRC = \
	stress-affinity.c \
	stress-af-alg.c \
	stress-aio.c \
	stress-aio-linux.c \
	stress-apparmor.c \
	stress-atomic.c \
	stress-bigheap.c \
	stress-bind-mount.c \
	stress-branch.c \
	stress-brk.c \
	stress-bsearch.c \
	stress-cache.c \
	stress-cap.c \
	stress-chdir.c \
	stress-chmod.c \
	stress-chown.c \
	stress-chroot.c \
	stress-clock.c \
	stress-clone.c \
	stress-context.c \
	stress-copy-file.c \
	stress-cpu.c \
	stress-cpu-online.c \
	stress-crypt.c \
	stress-cyclic.c \
	stress-daemon.c \
	stress-dccp.c \
	stress-dentry.c \
	stress-dev.c \
	stress-dir.c \
	stress-dirdeep.c \
	stress-dnotify.c \
	stress-dup.c \
	stress-dynlib.c \
	stress-enosys.c \
	stress-epoll.c \
	stress-eventfd.c \
	stress-exec.c \
	stress-fallocate.c \
	stress-fanotify.c \
	stress-fault.c \
	stress-fcntl.c \
	stress-file-ioctl.c \
	stress-fiemap.c \
	stress-fifo.c \
	stress-filename.c \
	stress-flock.c \
	stress-fork.c \
	stress-fp-error.c \
	stress-fstat.c \
	stress-full.c \
	stress-funccall.c \
	stress-futex.c \
	stress-get.c \
	stress-getrandom.c \
	stress-getdent.c \
	stress-handle.c \
	stress-hdd.c \
	stress-heapsort.c \
	stress-hrtimers.c \
	stress-hsearch.c \
	stress-icache.c \
	stress-icmp-flood.c \
	stress-inode-flags.c \
	stress-inotify.c \
	stress-iomix.c \
	stress-ioport.c \
	stress-ioprio.c \
	stress-iosync.c \
	stress-itimer.c \
	stress-kcmp.c \
	stress-key.c \
	stress-kill.c \
	stress-klog.c \
	stress-lease.c \
	stress-lsearch.c \
	stress-link.c \
	stress-lockbus.c \
	stress-locka.c \
	stress-lockf.c \
	stress-lockofd.c \
	stress-longjmp.c \
	stress-madvise.c \
	stress-malloc.c \
	stress-matrix.c \
	stress-mcontend.c \
	stress-membarrier.c \
	stress-memcpy.c \
	stress-memfd.c \
	stress-memrate.c \
	stress-memthrash.c \
	stress-mergesort.c \
	stress-mincore.c \
	stress-mknod.c \
	stress-mlock.c \
	stress-mmap.c \
	stress-mmapaddr.c \
	stress-mmapfixed.c \
	stress-mmapfork.c \
	stress-mmapmany.c \
	stress-mremap.c \
	stress-msg.c \
	stress-msync.c \
	stress-mq.c \
	stress-netdev.c \
	stress-netlink-proc.c \
	stress-nice.c \
	stress-nop.c \
	stress-null.c \
	stress-numa.c \
	stress-oom-pipe.c \
	stress-opcode.c \
	stress-open.c \
	stress-personality.c \
	stress-physpage.c \
	stress-pipe.c \
	stress-poll.c \
	stress-procfs.c \
	stress-pthread.c \
	stress-ptrace.c \
	stress-pty.c \
	stress-quota.c \
	stress-qsort.c \
	stress-radixsort.c \
	stress-rawdev.c \
	stress-rdrand.c \
	stress-readahead.c \
	stress-remap-file-pages.c \
	stress-rename.c \
	stress-resources.c \
	stress-revio.c \
	stress-rlimit.c \
	stress-rmap.c \
	stress-rtc.c \
	stress-sctp.c \
	stress-schedpolicy.c \
	stress-seal.c \
	stress-seccomp.c \
	stress-seek.c \
	stress-sem.c \
	stress-sem-sysv.c \
	stress-sendfile.c \
	stress-shm.c \
	stress-shm-sysv.c \
	stress-sigfd.c \
	stress-sigfpe.c \
	stress-sigio.c \
	stress-sigpending.c \
	stress-sigpipe.c \
	stress-sigsegv.c \
	stress-sigsuspend.c \
	stress-sigq.c \
	stress-sleep.c \
	stress-socket.c \
	stress-socket-diag.c \
	stress-socket-fd.c \
	stress-socketpair.c \
	stress-softlockup.c \
	stress-spawn.c \
	stress-splice.c \
	stress-stack.c \
	stress-stackmmap.c \
	stress-str.c \
	stress-stream.c \
	stress-swap.c \
	stress-switch.c \
	stress-sync-file.c \
	stress-sysinfo.c \
	stress-sysfs.c \
	stress-tee.c \
	stress-timer.c \
	stress-timerfd.c \
	stress-tlb-shootdown.c \
	stress-tmpfs.c \
	stress-tree.c \
	stress-tsc.c \
	stress-tsearch.c \
	stress-udp.c \
	stress-udp-flood.c \
	stress-unshare.c \
	stress-urandom.c \
	stress-userfaultfd.c \
	stress-utime.c \
	stress-vecmath.c \
	stress-vforkmany.c \
	stress-vm.c \
	stress-vm-addr.c \
	stress-vm-rw.c \
	stress-vm-splice.c \
	stress-wait.c \
	stress-wcstr.c \
	stress-xattr.c \
	stress-yield.c \
	stress-zero.c \
	stress-zlib.c \
	stress-zombie.c \

#
# Stress core
#
CORE_SRC = \
	affinity.c \
	cache.c \
	cpu.c \
	helper.c \
	ignite-cpu.c \
	io-priority.c \
	job.c \
	limit.c \
	log.c \
	madvise.c \
	mincore.c \
	mlock.c \
	mmap.c \
	mounts.c \
	mwc.c \
	net.c \
	out-of-memory.c \
	parse-opts.c \
	perf.c \
	sched.c \
	setting.c \
	shim.c \
	thermal-zone.c \
	time.c \
	thrash.c \
	stress-ng.c

SRC = $(STRESS_SRC) $(CORE_SRC)
OBJS = $(SRC:.c=.o)

APPARMOR_PARSER=/sbin/apparmor_parser

LIB_APPARMOR := -lapparmor
LIB_BSD := -lbsd
LIB_Z := -lz
LIB_CRYPT := -lcrypt
LIB_RT := -lrt
LIB_PTHREAD := -lpthread
LIB_AIO = -laio
LIB_SCTP = -lsctp
LIB_DL = -ldl

#
#  Load in current config; use 'make clean' to clear this
#
-include config
ifneq ("$(wildcard config)","")
.PHONY: all_config
all_config:
	$(MAKE) -f Makefile.config
	$(MAKE) stress-ng
endif

CFLAGS += $(CONFIG_CFLAGS)
LDFLAGS += $(CONFIG_LDFLAGS)
OBJS += $(CONFIG_OBJS)

.SUFFIXES: .c .o

.o: stress-ng.h Makefile

.c.o: stress-ng.h Makefile $(SRC)
	@echo "CC $<"
	@$(CC) $(CFLAGS) -c -o $@ $<

stress-ng: info $(OBJS)
	@echo "LD $@"
	@$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -lc -o $@
	@sync

.PHONY: info
info:
	@echo "CFLAGS: $(CFLAGS)"

#
#  generate apparmor data using minimal core utils tools from apparmor
#  parser output
#
apparmor-data.o: usr.bin.pulseaudio.eg
	@$(APPARMOR_PARSER) -Q usr.bin.pulseaudio.eg  -o apparmor-data.bin
	@echo "#include <stddef.h>" > apparmor-data.c
	@echo "char g_apparmor_data[]= { " >> apparmor-data.c
	@od -tx1 -An -v < apparmor-data.bin | \
		sed 's/[0-9a-f][0-9a-f]/0x&,/g' | \
		sed '$$ s/.$$//' >> apparmor-data.c
	@echo "};" >> apparmor-data.c
	@echo "const size_t g_apparmor_data_len = sizeof(g_apparmor_data);" >> apparmor-data.c
	@echo "CC $<"
	@$(CC) -c apparmor-data.c -o apparmor-data.o
	@rm -rf apparmor-data.c

#
#  extract the PER_* personality enums
#
personality.h:
	@$(CPP) personality.c | grep -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
	| sed "s/.$$/,/" > personality.h

stress-personality.c: personality.h

perf.o: perf.c perf-event.c
	@$(CC) -E perf-event.c | grep "PERF_COUNT" | sed 's/,/ /' | awk {'print "#define _SNG_" $$1 " (1)"'} > perf-event.h
	@echo CC $<
	@$(CC) $(CFLAGS) -c -o $@ $<

stress-vecmath.o: stress-vecmath.c
	@echo CC $<
	@$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
	@touch stress-ng.c

$(OBJS): stress-ng.h Makefile

stress-ng.1.gz: stress-ng.1
	gzip -c $< > $@

.PHONY: dist
dist:
	rm -rf stress-ng-$(VERSION)
	mkdir stress-ng-$(VERSION)
	cp -rp Makefile Makefile.config $(SRC) stress-ng.h stress-ng.1 \
		personality.c COPYING syscalls.txt mascot README \
		README.Android test snapcraft smatchify.sh config TODO \
		perf-event.c usr.bin.pulseaudio.eg stress-version.h \
		example-jobs stress-ng-$(VERSION)
	tar -Jcf stress-ng-$(VERSION).tar.xz stress-ng-$(VERSION)
	rm -rf stress-ng-$(VERSION)

.PHONY: pdf
pdf:
	man -t ./stress-ng.1 | ps2pdf - > stress-ng.pdf


.PHONY: clean
clean:
	@rm -f stress-ng $(OBJS) stress-ng.1.gz stress-ng.pdf
	@rm -f stress-ng-$(VERSION).tar.xz
	@rm -f personality.h
	@rm -f perf-event.h
	@rm -f *.o
	@:> config

.PHONY: fast-test-all
fast-test-all: stress-ng
	STRESS_NG=./stress-ng debian/tests/fast-test-all

.PHONY: install
install: stress-ng stress-ng.1.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp stress-ng ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp stress-ng.1.gz ${DESTDIR}${MANDIR}
	mkdir -p ${DESTDIR}${JOBDIR}
	cp -rp example-jobs/*.job ${DESTDIR}${JOBDIR}

=== debian/changelog ===
stress-ng (0.09.20-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-procfs: remove debug (LP: #1755552)
  * stress-madvise: fix build issue for HPPA (LP: #1755551)
  * stress-dev: add missing FIBMAP to block dev stressor
  * Fix missing stressors in mini-help and re-order some
  * Remove duplicated "futex" stressor from stressor table

 -- Colin King <colin.king@canonical.com>  Tue, 13 Mar 2018 17:58:49 +0000

stress-ng (0.09.19-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-cyclic: fix typo in time measurement, us should be ns
  * stress-enosys: add checks on RLIMIT_* macros
  * bump target_clones attribute to gcc 5.5
  * stress-mcontend: don't msync if it is not available
  * Disable target_clones attribute on GNU_HURD
  * stress-procfs: make stressor more stressful, less thread spawning
  * stress-enosys: wider sanity checks for fork/vfork/cloning (LP:#1753705)
  * Forgot to add test/test-personality.c
  * stress-enosys: try to limit fork run-away (LP:#1753705)
  * Add personality autoconfiguration detection
  * stress-mcontend: fix non-Linux build
  * stress-cpu: fix clang build error
  * Add new mcontend memory contention stressor
  * stress-af-algo: add a couple more crypto module tests
  * Add GCC-5 target_clones attribute
  * stressors: use the new cpu_is_x86 helper
  * Add cpu.c and cpu_is_x86 cpu detection helper

 -- Colin King <colin.king@canonical.com>  Mon, 12 Mar 2018 10:30:58 +0000

stress-ng (0.09.18-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-sysfs: sysfs_path does not need to be marked as volatile
  * stress-flock: make function stress_flock_child static
  * stress-dev: pass thread data using pthread_args_t context
  * stress-dev: rename ret to wret to fix variable shadowing
  * stress-seal: don't redefine MFD_ALLOW_SEALING
  * test/test-ustat: fail for GNU/HURD, it is not implemented
  * helper: use sz only in scope that requires it
  * stress-fcntl: fix build error in do_fcntl
  * Pass SHIM_PTHREAD_PROCESS_SHARED rather than 0 as flags arg
    to shim spin lock init
  * stress-dev: Fix compat shim build warnings on OS X
  * stress-dev: use abstracted pthread spinlock for portability sake
  * syscalls.txt: add getpagesize
  * stress-get: use getpagesize if it is available
  * helper: use getpagesize() for legacy systems without sysconf
  * Add automatic build getpagesize detection
  * stress-exec: where possible, use execveat() as well as execve()
  * syscalls.txt: add epoll_create and epoll_pwait to syscall table
  * stress-epoll: use epoll_create and epoll_pwait to get more coverage
  * stress-sock: use accept4 to add more system call coverage
  * stress-dev: add some block specific ioctls
  * stress-dev: add more seeking and shared memory mapping
  * syscalls: add ustat
  * stress-sysinfo: add legacy ustat() system call
  * Update syscalls log
  * stress-poll: add ppoll and pselect calls to add more stress coverage
  * stress-dev: make stressor more stressful, less thread spawning
  * stress-sysfs: only stress sysfs if spinlock succeeded and bump counter
  * stress-sysfs: remove redundant null check on path
  * stress-sys: make stressor more stressful, less thread spawning

 -- Colin King <colin.king@canonical.com>  Wed, 28 Feb 2018 16:26:38 +0000

stress-ng (0.09.17-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update date
  * stress-rawdev: make some functions static
  * stress-funcall: fix -Wmissing-declarations warning message
  * stress-file-ioctl: remove extraneous shadowed variable 'ret'
  * stress-madvise: make ret non-clobberable for gcc 4.2.1
  * Add minimum GCC version for Pragma push/pop
  * shim: older gcc required pragmas outside of functions
  * stress-enosys: older gcc required pragmas outside of functions
  * Check for clang version when using pragmas
  * stress-file-ioctl: remove debug printf
  * Add new file-ioctl stressor
  * shim: disable warnings for brk and sbrk for OS X
  * Swap ordering on compiler detection on pragmas
  * stress-enosys: turn off warning on syscall, cleans up OS X warning
  * Add no warning pragma macros
  * Makefile: force sync after build in case reboot loses executable
  * stress-enosys: add syscall7 shim
  * stress-dirdeep: only print info message on instance #0
  * stress-enosys: wrap with OOM catcher (LP: #1750787)
  * stress-dev: add bug reference to hpet failure
  * stress-enosys: exercise more arguments in syscall
  * Manual: udp-lite should be for ipv6 as well as ipv4
  * Manual: update arch specific limitations on lockbus and memthrash
    stressors
  * Return EXIT_NOT_IMPLEMENTED when system call returns ENOSYS
  * stress-userfaultfd: don't fail with an error if ENOSYS is returned
  * stress-membarrier: don't fail with an error if ENOSYS is returned
  * stress-getrandom: don't fail with an error if ENOSYS is returned
  * helper: make zero more obscure so that optimizer won't optimize
    zero out
  * stress-filename: remove shadowed redundant variable ret
  * Makefile: build perf-event with $(CC) rather gcc
  * stress-wcstr: fix warning on systems without wcs functions
  * job: make fp non-clobberable, cleans up build warning on gcc 4.8.4
  * stress-softlock: clean up clobbering warning on gcc 4.9.2
  * mwc: add more information into the reseed mix
  * stress-filename: don't closedir on a NULL dir pointer
  * Move LIB_DL headers to stress-ng.h
  * stress-dynlib: try to read the function memory to force page fault
  * Manual: fix enosys-ops entry, missing e from enosys-ops
  * Add new dynlib shared library dynamic loading stressor
  * stress-tree: make nodes align naturally with padding
  * stress-tree: move data to start of struct, ensures natural alignment
  * stress-tree: clean splay nodes at removal time
  * stress-tree: ensure splay tree data is cleared
  * stress-exec: drop all capabilities before exec'ing
  * stack-mmap: add MAP_STACK flag

 -- Colin King <colin.king@canonical.com>  Thu, 22 Feb 2018 14:04:11 +0000



## stress-ng 0.09.22

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.20
+VERSION=0.09.22
 #
 # Codename "portable pressure producer"
 #

=== debian/changelog ===
stress-ng (0.09.22-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-mmap: add extra checking on fd, don't do I/O on -ve fd
  * out-of-memory: ensure buffer is null-terminated
  * out-of-memory: move non-linux variant of process_oomed
  * out-of-memory: detect if a stressor was killed by the OOM killer and
    don't mark it as a strict stressor failure (LP: #1755245)
  * stress-mmap: add missing I/O to/from mmap'd buffer on mmap'd address
  * stress-ng.h: fix missing perf option (LP: #1758383)

 -- Colin King <colin.king@canonical.com>  Fri, 23 Mar 2018 16:44:47 +0000

stress-ng (0.09.21-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-dir: clean up warning on args on DragonFly build
  * stress-dir: skip the sanitycheck on DragonFly BSD
  * stress-rawdev: reduce the scope of 'ret'
  * stress-mmapaddr: reduce the scope of 'ret'
  * stress-mcontend: reduce the scope of variable 'cpu'
  * stress-matrix: remove redundant initialization of a to NULL
  * stress-filename: reduce scope of variable d
  * stress-enosys: declare variable lim when only required
  * stress-dev: make 'ret' local to ioctl test block scope
  * Makefile.config: fix epoll_create build checking
  * stress-ioprio: check for systems that don't support pwritev
  * shim: overlooked another fallocate glibc call to fixup
  * shim: use syscall to call fallocate, older glibc may not support it
  * perf: cater for systems that don't support linux/perf_event.h
  * stress-urandom: workaround __u32 definitions in pre-2.6.29 kernels
  * stress-epoll: detect if epoll_create1 exists
  * stress-netlink-proc: don't use PROC_EVENT_SID in kernels earlier
    than 2.6.31
  * Add detection for linux/fiemap.h
  * test/test-librt.c: reorder functions in alphabetical order
  * stress-dirdeep: use shim_strlcat instead of strlcat
  * Replace strncat with safer strlcat
  * Add shim version of strlcat
  * Replace strncpy with safer strlcpy
  * Add shim and implementation of shim_strlcpy()
  * stress-dev: ensure we don't have a non-null terminated filename
  * stress-dev: don't sync on fd when open failed
  * stress-ng.h: check for spin lock failure
  * stress-dev: add #ifdef around stress_dev_tty
  * stress-dev: add #ifdef around struct termios tios declaration
  * stress-dev: remove gettid, only used during debug on linux
  * stress-dev: remove debug
  * stress-dev: randomly mix up device path scanning, limit to max 3 of
    same device
  * stress-dev: add missing /dev/random ioctl handling
  * stress-dev: add some Linux SCSI ioctls for block devices
  * stress-file-ioctl: fix missing #if / #endif around shim_fallocate
  * stress-procfs: mix up path name order to get a better spread
  * stress-sysfs: mix up path name order to get a better spread
  * stress-xattr: add missing setxattr and lsetxattr system calls
  * stress-utime: add NULL utimes time and non-nul utime parameters
  * stress-dir: add missing readdir() exercising
  * stress-file-ioctl: add missing FIDEDUPERANGE ioctl
  * stress-file-ioctl: exercise FS_IOC_RESVSP64
  * stress-fcntl: ensure F_OWNER_GID is being exercised
  * stress-get: add Linux lookup_dcookie call
  * stress-dev: exercise tty ioctls on devices
  * stress-file-ioctl: disable FIFREEZE/FITHAW filesystem ioctls
  * test/test-ustat.c: ustat will fail on __arch64__, so don't enable it
  * stress-enosys: add extra paranoid check on reboot syscall check
  * stress-enosys: ensure all known syscalls are added to hash
    table (LP: #1755358)
  * Makefile.config: add -Wextra build check on ustat

 -- Colin King <colin.king@canonical.com>  Wed, 21 Mar 2018 12:59:58 +0000

## stress-ng 0.09.23

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.22
+VERSION=0.09.23
 #
 # Codename "portable pressure producer"
 #

=== debian/changelog ===
stress-ng (0.09.23-1) unstable; urgency=medium

  * Makefile: bump version
  * cache: revert using shim_str* funcs (LP: #1759515)
    Using the shim_* str functions breaks the cache globbing paths,
    so for now, revert these.

 -- Colin King <colin.king@canonical.com>  Wed, 28 Mar 2018 10:40:10 +0100

## stress-ng 0.09.25

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.23
+VERSION=0.09.25
 #
 # Codename "portable pressure producer"
 #

=== debian/changelog ===
stress-ng (0.09.25-1ubuntu9) bionic; urgency=medium

  * stress-hdd: ensure offset is aligned to 512 byte boundary (LP: #1951152)
    fixes direct I/O random write failures with the hdd stressor

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 16 Nov 2021 19:38:41 +0000

stress-ng (0.09.25-1ubuntu8) bionic; urgency=medium

  * Ensure --aggressive mode terminates early (LP: #1858858)
    Add a waitpid NOHANG wait on each child process and if we get ESRCH
    on all the child pids we can terminate the loop early.
  * Fix --timer-slack arg handling (LP: #1853832)
  * Fix mwc8() being reset when using mwc1() (LP: #1855851)
    Fix Psuedo-random 8 bit numbers from mwc8() accidentally
    being zero'd when mwc1() is called.

 -- Colin King <colin.king@canonical.com>  Tue, 10 Dec 2019 09:32:11 +0000

stress-ng (0.09.25-1ubuntu5) bionic; urgency=medium

  * d/p/0015-stress-af-alg-handle-bind-ETIMEDOUT-failures.patch:
    retry bind() on ETIMEDOUT in case the requested module just
    gets loaded by another stress-af-alg worker. (LP: #1851553)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 06 Nov 2019 17:42:36 -0300

stress-ng (0.09.25-1ubuntu4) bionic; urgency=medium

  * stress-rmap: don't hard fail on fallocate failures (LP: #1845005)
    - backport of upstream commit 38fd9c6ff96c
  * stress-mcontend: sync mmap file with zero data (LP: #1845011)
    - backport of upstream commit c3678dadee23

 -- Colin King <colin.king@canonical.com>  Tue, 24 Sep 2019 08:30:11 +0100

stress-ng (0.09.25-1ubuntu3) bionic; urgency=medium

  * stress-ng: stress-mmap: be less noisy on mmap failures and
    fix directory cleanup (LP: #1807732)
    - backport of upstream commit c0ce27a5870f

 -- Colin King <colin.king@canonical.com>  Thu, 15 Aug 2019 22:09:24 +0100

stress-ng (0.09.25-1ubuntu2) bionic; urgency=medium

  [Alfonso Sanchez-Beato]
  * stress-numa: fix calculation of max nodes (LP: #1823208)
    - use the count of bits in "Mems_allowed" to calculate the
      maximum number of NUMA nodes
  [Colin Ian King]
  * stress-af-alg: check for EBUSY bind failures (LP: #1815123)
    - backport of upstream prerequisits and the fix:
      13c4c58d0150 expand error message to capture more information
      39184c74f1e0 forgot to add in \n
      aed180cb7b2f make ENOKEY a non-critical failure
      7f1a617adcd6 skip over ciphers that may not exist
      88cbe87a3cc1 fix errno = ENOENT assignment, should be == comparison
      3ec28f2f5438 return EXIT_NOT_IMPLEMENTED if protocol is not supported
      a5c2cb02e8ed stress-af-alg: check for EBUSY bind failures

 -- Colin King <colin.king@canonical.com>  Thu, 4 Apr 2019 17:47:11 +0100

stress-ng (0.09.25-1ubuntu1) bionic; urgency=medium

  * stress-dev: remove FIBMAP ioctl on device (LP: #1800609)
    - fixes error of incorrect ioctl on block device
  * stress-revio: ensure fiemap extent struct is zero'd (LP: #1798566)
    - fixes fiemap ioctl failures because of garbage in struct

 -- Colin King <colin.king@canonical.com>  Wed, 14 Nov 2018 18:10:15 +0000

stress-ng (0.09.25-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-ng: don't enable TARGET_CLONES for kFreeBSD (LP: #1765050)
  * stress-enosys: avoid calling vhangup with upper bits set (LP: #1757967)

 -- Colin King <colin.king@canonical.com>  Wed, 18 Apr 2018 15:25:51 +0100

stress-ng (0.09.24-1) unstable; urgency=medium

  * Makefile: bump version
  * Misc small fixes detected by static analysis (LP: #1762848)
  * stress-fcntl: use | rather than |= to get new_flags
  * stress-tmpfs: clear mnts and check if mnts[i] is null
  * stress-sync-file: fix incorrect placement of break statement
  * stress-af-alkg: check for more NULL cmsg pointers
  * stress-pipe: ensure no uninitialized data is written to pipe
  * stress-fcntl: use | rather than |= to get new_flags
  * test/test-posix-memalign.c: free allocated buffer
  * test/test-fanotify.c: free buffer
  * stress-mmapfailed: check for null return from mremap
  * stress-af-alkg: check for NULL cmsg
  * stress-resources: don't open on a null slavename
  * stress-sysinfo: ensure mnts array is zero'd
  * stress-cpu: make loop index in jenkin func size_t to fix overflow
  * stress-vm: don't loop forever in child sleep loop
  * ignite-cpu: don't wait for parent to kill loop, add timeout
    check too
  * Double number of stressor processes up to 8192
  * Add stream-index indexing option
  * Make some settings global to fix args confustion

 -- Colin King <colin.king@canonical.com>  Wed, 11 Apr 2018 09:58:44 +0100

=== debian/control ===
Source: stress-ng
Section: devel
Priority: optional
Maintainer: Colin King <colin.king@ubuntu.com>
XSBC-Original-Maintainer: Colin King <colin.king@canonical.com>
Standards-Version: 4.1.2
Build-Depends: debhelper (>= 11), zlib1g-dev, libbsd-dev, libattr1-dev, libgcrypt20-dev, libkeyutils-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !linux-ia64], libapparmor-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], apparmor [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libaio-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libcap-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libsctp-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Homepage: http://kernel.ubuntu.com/~cking/stress-ng

Package: stress-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to load and stress a computer
 stress-ng can stress various subsystems of a computer.  It can stress load
 CPU, cache, disk, memory, socket and pipe I/O, scheduling and much more.
 stress-ng is a re-write of the original stress tool by Amos Waterland but
 has many additional features such as specifying the number of bogo operations
 to run, execution metrics, a stress verification on memory and compute
 operations and considerably more stress mechanisms.

=== debian/tests/control ===
Tests: fast-test-all
Depends: stress-ng, @

## stress-ng 0.09.38

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.25
+VERSION=0.09.38
 #
 # Codename "portable pressure producer"
 #
@@ -34,6 +34,23 @@
 endif
 
 #
+# SunOS requires special grep for -e support
+#
+KERNEL=$(shell uname -s)
+ifeq ($(KERNEL),SunOS)
+GREP = /usr/xpg4/bin/grep
+else
+GREP = grep
+endif
+
+#
+# Check for KFreeBSD
+#
+ifeq ($(KERNEL),GNU/kFreeBSD)
+CFLAGS += -D__FreeBSD_Kernel__
+endif
+
+#
 # Static flags, only to be used when using GCC
 #
 ifeq ($(STATIC),1)
@@ -49,6 +66,7 @@
 #  Stressors
 #
 STRESS_SRC = \
+	stress-access.c \
 	stress-affinity.c \
 	stress-af-alg.c \
 	stress-aio.c \
@@ -78,11 +96,13 @@
 	stress-dccp.c \
 	stress-dentry.c \
 	stress-dev.c \
+	stress-dev-shm.c \
 	stress-dir.c \
 	stress-dirdeep.c \
 	stress-dnotify.c \
 	stress-dup.c \
 	stress-dynlib.c \
+	stress-efivar.c \
 	stress-enosys.c \
 	stress-epoll.c \
 	stress-eventfd.c \
@@ -166,6 +186,7 @@
 	stress-physpage.c \
 	stress-pipe.c \
 	stress-poll.c \
+	stress-prctl.c \
 	stress-procfs.c \
 	stress-pthread.c \
 	stress-ptrace.c \
@@ -191,6 +212,7 @@
 	stress-sem.c \
 	stress-sem-sysv.c \
 	stress-sendfile.c \
+	stress-set.c \
 	stress-shm.c \
 	stress-shm-sysv.c \
 	stress-sigfd.c \
@@ -198,9 +220,10 @@
 	stress-sigio.c \
 	stress-sigpending.c \
 	stress-sigpipe.c \
+	stress-sigq.c \
+	stress-sigrt.c \
 	stress-sigsegv.c \
 	stress-sigsuspend.c \
-	stress-sigq.c \
 	stress-sleep.c \
 	stress-socket.c \
 	stress-socket-diag.c \
@@ -216,6 +239,7 @@
 	stress-swap.c \
 	stress-switch.c \
 	stress-sync-file.c \
+	stress-sysbadaddr.c \
 	stress-sysinfo.c \
 	stress-sysfs.c \
 	stress-tee.c \
@@ -237,8 +261,10 @@
 	stress-vm.c \
 	stress-vm-addr.c \
 	stress-vm-rw.c \
+	stress-vm-segv.c \
 	stress-vm-splice.c \
 	stress-wait.c \
+	stress-watchdog.c \
 	stress-wcstr.c \
 	stress-xattr.c \
 	stress-yield.c \
@@ -293,20 +319,19 @@
 LIB_DL = -ldl
 
 #
-#  Load in current config; use 'make clean' to clear this
+#  Load in and set flags based on config
 #
 -include config
-ifneq ("$(wildcard config)","")
-.PHONY: all_config
-all_config:
-	$(MAKE) -f Makefile.config
-	$(MAKE) stress-ng
-endif
-
 CFLAGS += $(CONFIG_CFLAGS)
 LDFLAGS += $(CONFIG_LDFLAGS)
 OBJS += $(CONFIG_OBJS)
 
+all:
+ifneq ("$(wildcard config)","")
+	$(MAKE) makeconfig
+endif
+	$(MAKE) stress-ng
+
 .SUFFIXES: .c .o
 
 .o: stress-ng.h Makefile
@@ -315,14 +340,15 @@
 	@echo "CC $<"
 	@$(CC) $(CFLAGS) -c -o $@ $<
 
-stress-ng: info $(OBJS)
+stress-ng: $(OBJS)
 	@echo "LD $@"
 	@$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -lc -o $@
 	@sync
 
-.PHONY: info
-info:
-	@echo "CFLAGS: $(CFLAGS)"
+makeconfig:
+	@if [ ! -s config ]; then \
+		$(MAKE) -f Makefile.config; \
+	fi
 
 #
 #  generate apparmor data using minimal core utils tools from apparmor
@@ -339,19 +365,20 @@
 	@echo "const size_t g_apparmor_data_len = sizeof(g_apparmor_data);" >> apparmor-data.c
 	@echo "CC $<"
 	@$(CC) -c apparmor-data.c -o apparmor-data.o
-	@rm -rf apparmor-data.c
+	@rm -rf apparmor-data.c apparmor-data.bin
 
 #
 #  extract the PER_* personality enums
 #
 personality.h:
-	@$(CPP) personality.c | grep -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
+	@$(CPP) personality.c | $(GREP) -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
 	| sed "s/.$$/,/" > personality.h
 
 stress-personality.c: personality.h
 
 perf.o: perf.c perf-event.c
-	@$(CC) -E perf-event.c | grep "PERF_COUNT" | sed 's/,/ /' | awk {'print "#define _SNG_" $$1 " (1)"'} > perf-event.h
+	@$(CC) $(CFLAGS) -E perf-event.c | grep "PERF_COUNT" | sed 's/,/ /' | \
+	awk {'print "#define _SNG_" $$1 " (1)"'} > perf-event.h
 	@echo CC $<
 	@$(CC) $(CFLAGS) -c -o $@ $<
 
@@ -371,9 +398,9 @@
 	mkdir stress-ng-$(VERSION)
 	cp -rp Makefile Makefile.config $(SRC) stress-ng.h stress-ng.1 \
 		personality.c COPYING syscalls.txt mascot README \
-		README.Android test snapcraft smatchify.sh config TODO \
+		README.Android test snap smatchify.sh config TODO \
 		perf-event.c usr.bin.pulseaudio.eg stress-version.h \
-		example-jobs stress-ng-$(VERSION)
+		example-jobs .travis.yml stress-ng-$(VERSION)
 	tar -Jcf stress-ng-$(VERSION).tar.xz stress-ng-$(VERSION)
 	rm -rf stress-ng-$(VERSION)
 
@@ -388,12 +415,17 @@
 	@rm -f stress-ng-$(VERSION).tar.xz
 	@rm -f personality.h
 	@rm -f perf-event.h
+	@rm -f apparmor-data.bin
 	@rm -f *.o
 	@:> config
 
 .PHONY: fast-test-all
-fast-test-all: stress-ng
+fast-test-all: all
 	STRESS_NG=./stress-ng debian/tests/fast-test-all
+
+.PHONY: slow-test-all
+slow-test-all: all
+	./stress-ng --seq 0 -t 15 --pathological --verbose --times --tz --metrics
 
 .PHONY: install
 install: stress-ng stress-ng.1.gz

=== debian/changelog ===
stress-ng (0.09.38-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: ensure fast-test-all and slow-test-all build with config
  * stress-fork: print correct fork/vfork name on an error
  * stress-fork: don't throw error on EAGAIN or ENOMEM (LP: #1788385)
  * stress-sysfs: add SEGV detection and abort
  * stress-funccall: make deep calls perform more stack work
  * stress-fiemap: remove blank line
  * stress-dir: rename d_reclen to d_namlen for DragonFly BSD
  * stress-dev: clean up overly wide function prototypes
  * stress-dccp: make loop iterator size_t
  * stress-mmap: move } outside #if #endif, fix *BSD build error
  * stress-chdir: remove blank line
  * stress-access: remove empty line
  * stress-ng: don't enable TARGET_CLONES for musl
  * stress-ng: don't exit a failure if no stressors are run when some
    are not supported
  * stress-dnotify: check if dnotify is supported by linux kernel
  * stress-access: make bool is_root const
  * stress-access: make struct fields const
  * stress-mmap: add hole punching to mmap'd file
  * ignite-cpu: remove extraneous debug
  * Manual: add note about using --timer-slack 0 for high freq timers

 -- Colin King <colin.king@canonical.com>  Thu, 23 Aug 2018 16:54:53 +0100

stress-ng (0.09.37-1) unstable; urgency=medium

  * Makefile: bump version
  * snapcraft: add stage packages and build with hardening settings
  * stress-chown: cater for OpenBSD chown returning 0 and errno being set
  * stress-zlib: don't report write failure if errno == 0
  * stress-fp-error: relax checking for pre glib 4.8
  * Add voidifications on ignored function returns
  * ignite-cpu: set freq governor and restore settings at end
  * ignite-cpu: try and set max cpu frequency scaling setting
  * cache: add G size specifier
  * Makefile: check for GNU/kFreeBSD and set __FreeBSD_Kernel__
  * stress-sysbadaddr: only use ustat if HAVE_USTAT is defined
  * stress-ng.h: rename statx_timestamp to shim_statx_timestamp

 -- Colin King <colin.king@canonical.com>  Mon, 13 Aug 2018 13:58:57 +0100

stress-ng (0.09.36-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-schedpolicy: ignore EINVAL on non-POSIX policies
  * mungify _ to - on stressor name before calling the stressor
  * stress-seek: disabled SEEK_HOLE and SEEK_DATA for OS X
  * stress-fp-error: relax checking on non-Linux systems
  * stress-schedpolicy: skip FIFO if sched_get_priority_min/max return -1
  * stress-mknod: fix cut-n-paste error on struct stress_info_t
  * stress-fp-error: be less pedantic with errno checks on non-Linux systems
  * stress-mknod: disable this for non-Linux systems
  * stress-affinity: check that process can set CPU affinity
  * stress-access: remove AT_SYMLINK_NOFOLLOW, it is not needed
  * stress-vm-segv: remove some old commented out debug text
  * stress-vm-segv: retry on ENOMEM on fork
  * stress-vm-segv: make child process non-dumpable
  * test/test_modify_ldt: fail for no-x86 architectures
  * stress-cpu: compute geometric mean by split mantissa and exponent method
  * stress-fork: turn warnings off around vfork and not fork
  * stress-dentry: fall back to using fcntl if flock is not available
  * Turn off warnings around vfork calls
  * Makefile: "SunOS" should be SunOS and not quoted in if statement
  * Makefile: check for SunOS to use non-default grep for -e capability
  * stress-dentry: don't flock the entry if we don't have flock flags

 -- Colin King <colin.king@canonical.com>  Thu, 2 Aug 2018 14:39:41 +0100

stress-ng (0.09.35-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-file-ioctl: check size against stat buf size
  * stress-file-ioctl: remove redundant buffer
  * stress-file-ioctl: print differences in sizes on error of
    FIOQSIZE ioctl
  * stress-sysfs: use shim_ spinlock type rather than direct structure
  * perf: use shim_ spinlock rather than direct call
  * stress-procfs: use shim_ spinlock rather than direct call
  * stress-procfs: use shim_ spinlock rather than native call
  * stress-dev: use shim spinlock rather than native call
  * stress-dccp: skip stressor if DCCP protocol not supported
  * stress-af-alg: return EXIT_NOT_IMPLEMENTED if protocol is not
    supported
  * rename set_cpu_affinity to stress_set_cpu_affinity
  * Update comment relating to stressor names
  * Make stressor command options match 1-to-1 with info and function
    names
  * Re-work STRESSOR macro so that we don't need upper case name anymore
  * Make stressor names with OPT_ options match
  * Make stressor names with stressor #defines match
  * Add more comments and make index i a size_t
  * Add helper to mlock stress-ng into memory
  * stress-procfs: use copy of proc_path and set to empty string rather
    than NULL
  * stress-dev: use copy of dev_path and set to empty string rather
    than NULL
  * stress-sysfs: copy sysfs_path while locked into path
  * stress-sysfs: don't nullify sysfs_path, set it to empty string and
    lock it
  * stress-personality: don't verify personality setting, it does not work
  * stress-sysfd: temporarily disable read access fstat error
  * rename snapcraft directory to snap

 -- Colin King <colin.king@canonical.com>  Fri, 20 Jul 2018 12:19:44 +0100

stress-ng (0.09.34-1) unstable; urgency=medium

  * Makefile: bump version
  * Ensure all fail log messages set the error to EXIT_FAILURE
  * Manual: update contributors list
  * stress-opcode: make child process non-dumpable
  * Add bcd and utf8 zlib data methods to manual
  * stress-zlib: add 8 bit UTF-8 data stream
  * stress-zlib: put BCD data as bytes not 32 bit words
  * stress-zlib: add bcd data mode

 -- Colin King <colin.king@canonical.com>  Mon, 16 Jul 2018 23:50:22 +0100

stress-ng (0.09.33-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-pty: make open failure on ENOMEM non-fatal
  * stress-sockpair: handle EPERM error on read gracefully
  * stress-quota: don't count a pass as a failure


## stress-ng 0.09.39

=== Makefile ===
--- 
+++ 
@@ -16,18 +16,18 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.38
+VERSION=0.09.39
 #
 # Codename "portable pressure producer"
 #
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99 -pipe
 
 #
 # Pedantic flags
 #
 ifeq ($(PEDANTIC),1)
-CFLAGS += -Wabi -Wcast-qual -Wfloat-equal -Wmissing-declarations \
+CFLAGS += -Wcast-qual -Wfloat-equal -Wmissing-declarations \
 	-Wmissing-format-attribute -Wno-long-long -Wpacked \
 	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
 	-Wno-missing-braces -Wno-sign-compare -Wno-multichar

=== debian/changelog ===
stress-ng (0.09.39-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-hdd: add yield points
  * stress-dev-shm: add an extra yield point
  * stress-bigheap: add an extra yield point
  * stress-af-alg: add more yield points
  * tests: fast-test-all: add timestamp to log output
  * stress-fiemap: wrap overly wide #if defined checks
  * stress-enosys: add address passing args
  * Replace loop variable i with j
  * Fix typo in comment 9 -> 0
  * stress-zlib: add comment, remove two white spaces
  * stress-zlib: add zlib-level compression level and zlib rate stats
  * Add timestamp to log with --timestamp option
  * Add -pipe to CFLAGS, speeds up build by a few seconds
  * Makefile: remove -Wabi on pedantic builds
  * Replace int type with int32_t on loop counters
  * Rename macro argument lower_name to name
  * Manual: add Khem Raj to contributors name list
  * TODO: Add restartable sequencues
  * stress-chown: be less fussy about -EPERM failures
  * stress-get: ignore EINVAL on getgroups failures
  * stress-get: ignore EINVAL on getpriority failures
  * stress-af-alg: check for EBUSY bind failures
  * stress-stackmmap: simplify SEGV handling using a child process
  * stress-mmapfixed: don't be so verbose about SIGSEGVs on fixed mmaps
  * stress-sysfs: add check for some broken sysfs files

 -- Colin King <colin.king@canonical.com>  Tue, 4 Sep 2018 11:36:21 +0100

## stress-ng 0.09.40

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.39
+VERSION=0.09.40
 #
 # Codename "portable pressure producer"
 #
@@ -73,6 +73,7 @@
 	stress-aio-linux.c \
 	stress-apparmor.c \
 	stress-atomic.c \
+	stress-bad-altstack.c \
 	stress-bigheap.c \
 	stress-bind-mount.c \
 	stress-branch.c \

=== debian/changelog ===
stress-ng (0.09.40-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update date
  * log: cast fractions of seconds to long
  * stress-get: move timex declarations to HAVE_ADJTIMEX block statement
  * Use HAVE_MREMAP check for mremap system call
  * Add autobuild test for mremap system call
  * stress-malloc: use HAVE_MALLOPT check for threshold variable
  * stress-malloc: use HAVE_MALLOPT check for mallopt glibc function
  * Add mallopt glibc function autodetection
  * stress-ioport: fix check on HAVE_IOPORT and not IOPORT
  * stress-ioport: use HAVE_IOPORT check for ioport system call
  * Add autobuild test for ioport system call
  * stress-inode-flags: build valid stressor if specific ioctl flags are
    defined
  * stress-get:  use HAVE_PRLIMIT check for prlimit system call
  * Add autobuild test for prlimit system call
  * stress-get: use HAVE_ADJTIMEX check for adjtimex system call
  * Add autobuild test for adjtimex system call
  * stress-get: move locals to block statements
  * stress-sysbadaddr: use autodetection config for getresgid and
    getresuid calls
  * stress-get: use autodetection config for getresgid and getresuid
    calls
  * Add autobuild checks for getresgid and getresuid
  * README: update dependencies information
  * stress-sysfs: exercise each sysfs for a specific time or number of
    iterations
  * Add shim_usleep_interruptible, an interruptible usleep
  * stess-sysfs: exercise each sysfs file for a 1/25 of a second
  * stress-sysfs: improve draining control in threads
  * Add .gitignore
  * stress-sysfs: back off pthreads when kernel log spamming is detected
  * manual: fix typo: multiple -> multiply
  * stress-sysfs: close file if we have messages that needed draining
  * Add bad alternative stack stressor
  * stress-procfs: free directory entries, fixes memory leak
  * stress-dirdeep: free directory entries, fixes memory leak
  * stress-dev: free directory entries, fixes memory leak
  * stress-sysfs: free directory entries, fixes memory leak
  * stress-sysfs: skip over sysfs files that produce a lot of kernel
    spamming
  * Add more info in the README file

 -- Colin King <colin.king@canonical.com>  Wed, 12 Sep 2018 17:11:11 +0100

## stress-ng 0.09.41

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.40
+VERSION=0.09.41
 #
 # Codename "portable pressure producer"
 #
@@ -186,6 +186,7 @@
 	stress-personality.c \
 	stress-physpage.c \
 	stress-pipe.c \
+	stress-pkey.c \
 	stress-poll.c \
 	stress-prctl.c \
 	stress-procfs.c \

=== debian/changelog ===
stress-ng (0.09.41-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-dirdeep: clean up warning if O_DIRECTORY is not defined
  * stress-dir: clean up warning if O_DIRECTORY is not defined
  * stress-sysbadaddr: move ustat include to fix kfreeBSD build warnings
  * Manual: update date
  * Manual: update contributors list
  * Fixed thermal zone use after free bug in multi-process test.
  * thermal-zone: don't accumulate insane temperatures
  * stress-*: make sure structs are packed more efficiently
  * stress-dynlib: don't use if building a static image
  * stress-quota: keep if/else codestyle consistent
  * stress-sctp: break up declaration + assignment
  * stress-resources: add pkey alloc/free resource consumer
  * stress-numa: add in extra brackets to match coding style
  * stress-matrix: fix comment, not cpu stressor but matrix stressor
  * stress-kcmp: prefix kcmp consts with SHIM_ to avoid name clashes
  * syscalls.txt: add pkey_* and renameat* syscalls
  * stress-rename: use renameat2 system call if available
  * stress-rename: use renameat system call if available
  * Add autoconfig detection of renameat system call
  * Add autoconfig detection of renameat2 system call
  * Move pkey shims to shim.c
  * stress-pkey: add pkey memory protection thrash stress test
  * stress-enosys: add pket_get and pkey_set
  * stress-enosys: Add io_pgetevents
  * stress-enosys: add rseq system call
  * stress-dirdeep: add directory data sync'ing for more stress
  * stress-dir: add directory data sync'ing for more stress
  * stress-*: replace fsync with shim_fsync
  * Add shim helper for fsync, helps with no-op OS X fsync

 -- Colin King <colin.king@canonical.com>  Wed, 26 Sep 2018 12:00:01 +0100

## stress-ng 0.09.42

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.41
+VERSION=0.09.42
 #
 # Codename "portable pressure producer"
 #
@@ -344,7 +344,7 @@
 
 stress-ng: $(OBJS)
 	@echo "LD $@"
-	@$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -lc -o $@
+	@$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -o $@
 	@sync
 
 makeconfig:

=== debian/changelog ===
stress-ng (0.09.42-1ubuntu2) cosmic; urgency=medium

  [Alfonso Sanchez-Beato]
  * stress-numa: fix calculation of max nodes (LP: #1823208)
    - use  the count of bits in "Mems_allowed" to calculate the
      maximum number of NUMA nodes

 -- Colin King <colin.king@canonical.com>  Thu, 4 Apr 2019 17:47:11 +0100

stress-ng (0.09.42-1ubuntu1) cosmic; urgency=medium

  * stress-affinity: fix set affinity setting across all
    stressors (LP: #1803322)
    - fixes --seq 0 affinity setting stopping all CPUs from being used
  * stress-seccomp: add sanity check to see if SECCOMP_SET_MODE_FILTER
    works (LP: #1801856)
    - fixes false failure errors if filtering is not enabled
  * stress-dev: remove FIBMAP ioctl on device (LP: #1800609)
    - fixes error of incorrect ioctl on block device
  * stress-revio: ensure fiemap extent struct is zero'd (LP: #1798566)
    - fixes fiemap ioctl failures because of garbage in struct

 -- Colin King <colin.king@canonical.com>  Wed, 14 Nov 2018 17:28:22 +0000

stress-ng (0.09.42-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-quota: abort early if we get EPERM errors (LP: #1796248)
  * stress-get: fix check for HAVE_ADJTIMEX or HAVE_ADJTIME
  * stress-pthread: work around broken pthread join that returns
    ESRCH (LP: #1796249)
  * stress-chroot: check for EINVAL for Haiku
  * stress-link: disable link stressor for Haiku
  * stress-get: disable a couple of rlimit types for Haiku
  * stress-cpu: define expl as exp for Haiku as it's not yet defined
  * Update README, add Haiku notes
  * Makefile: add -lc for non-Haiku, and -lnetfork for Haiku
  * helper: fix warnings on systems where strsignal returns const char *
  * Add autodetection of nice
  * Add autodetection of setpriority, fall back to using nice if we
    don't have it
  * stress-get: only declare is_root when required for adjtime* functions
  * Add autodetection of adjtime
  * stress-get: don't declare array priorities if getpriority does not
    exist
  * Add automatic detection of getpriority
  * stress-fault: don't declare usage for Haiku
  * stress-fault: don't print ruseage stats for Haiku
  * stress-dev: disable for Haiku
  * Add more info to README file

 -- Colin King <colin.king@canonical.com>  Fri, 5 Oct 2018 10:29:34 +0100

=== debian/control ===
--- 
+++ 
@@ -17,4 +17,3 @@
  has many additional features such as specifying the number of bogo operations
  to run, execution metrics, a stress verification on memory and compute
  operations and considerably more stress mechanisms.
-
